com.h3c.of.lib.mp

## Class MBodyMeterFeatures

- java.lang.Object
- - com.h3c.of.lib.OpenflowStructure
  - - com.h3c.of.lib.mp.MBodyMeterFeatures

- All Implemented Interfaces:
    MultipartBody, Structure
  Direct Known Subclasses:
    MBodyMutableMeterFeatures

      public class MBodyMeterFeatures
      extends OpenflowStructure
      implements MultipartBody

  Represents a meter features element; part of a reply to a meter features request multipart message; Since 1.3.

- - ### Field Summary

    - ### Fields inherited from class com.h3c.of.lib.OpenflowStructure

      `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBodyMeterFeatures(ProtocolVersion pv)` Constructs a multipart body MeterFeaturestype.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<MeterBandType>` | `getBandTypes()` Returns the set of supported meter band types; Since 1.3.
    `Set<MeterFlag>` | `getCapabilities()` Returns the set of meter capabilities; Since 1.3.
    `int` | `getMaxBands()` Returns the maximum supported bands per meter; Since 1.3.
    `int` | `getMaxColor()` Returns the maximum color value; Since 1.3.
    `long` | `getMaxMeters()` Returns the maximum number of meters; Since 1.3.
    `int` | `getTotalLength()` Returns the total length of the body, in bytes.
    `String` | `toDebugString()` Returns a string representation useful for debugging.
    `String` | `toDebugString(int indent)` Returns a multi-line representation of this Meter Features object.
    `String` | `toString()`

    - ### Methods inherited from class com.h3c.of.lib.OpenflowStructure

      `getVersion, hex, hex, validate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.h3c.of.lib.mp.MultipartBody

      `validate`

    - ### Methods inherited from interface com.h3c.of.lib.Structure

      `getVersion`

- - ### Constructor Detail

    - #### MBodyMeterFeatures

          public MBodyMeterFeatures(ProtocolVersion pv)

      Constructs a multipart body MeterFeaturestype.
      Parameters:
        `pv` - the protocol version

  - ### Method Detail

    - #### getTotalLength

          public int getTotalLength()

      Description copied from interface: `MultipartBody`
      Returns the total length of the body, in bytes.
      Specified by:
        `getTotalLength` in interface `MultipartBody`
      Returns:
        the total length of the body

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `OpenflowStructure`

    - #### toDebugString

          public String toDebugString()

      Description copied from class: `OpenflowStructure`
      Returns a string representation useful for debugging. This default implementation delegates to `OpenflowStructure.toString()`, but subclasses are free to override this behavior.
      Specified by:
        `toDebugString` in interface `Structure`
      Overrides:
        `toDebugString` in class `OpenflowStructure`
      Returns:
        a (possibly multi-line) string representation of this message

    - #### toDebugString

          public String toDebugString(int indent)

      Returns a multi-line representation of this Meter Features object.
      Parameters:
        `indent` - the additional indent (number of spaces)
      Returns:
        a multi-line representation

    - #### getMaxMeters

          public long getMaxMeters()

      Returns the maximum number of meters; Since 1.3.
      Returns:
        the maximum meters

    - #### getBandTypes

          public Set<MeterBandType> getBandTypes()

      Returns the set of supported meter band types; Since 1.3.
      Returns:
        the meter band types

    - #### getCapabilities

          public Set<MeterFlag> getCapabilities()

      Returns the set of meter capabilities; Since 1.3.
      Returns:
        the capabilities

    - #### getMaxBands

          public int getMaxBands()

      Returns the maximum supported bands per meter; Since 1.3.
      Returns:
        the maximum bands per meter

    - #### getMaxColor

          public int getMaxColor()

      Returns the maximum color value; Since 1.3.
      Returns:
        the maximum color value

Copyright © 2014. All Rights Reserved.